## org.eclipse.emf.edit.provider
Class ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.common.command.CommandWrapper
              org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand
                  org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate

All Implemented Interfaces:
  Command, CommandActionDelegate

Enclosing class:
  ItemProviderAdapter

    public class ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate

extends ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand
implements CommandActionDelegate

A `ResultAndAffectedObjectsWrappingCommandActionDelegate` wraps another command that also implements `CommandActionDelegate`, to substitute `IWrapperItemProvider`s for its values, which have been unwrapped for the command to operate on properly. This substitution is performed exactly as by a `ResultAndAffectedObjectsWrappingComand`, and action delegate methods are delegated directly to the wrapped command.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`AbstractCommand.NonDirtying`

Field Summary

Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand
`additionalWrappers, owners`

Fields inherited from class org.eclipse.emf.common.command.CommandWrapper
`command`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate(CommandActionDelegate command)` Returns a new `ResultAndAffectedObjectsWrappingCommandActionDelegate` for the given command.
`ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate(CommandActionDelegate command, java.util.Collection<? extends IWrapperItemProvider> additionalWrappers)` Returns a new `ResultAndAffectedObjectsWrappingCommandActionDelegate` for the given command and list of additional wrappers.

Method Summary
`java.lang.String` `getDescription()` Delegates to the getDescription method of the command.
`java.lang.Object` `getImage()` This returns the decoration, if any, of the action.
`java.lang.String` `getText()` This returns the menu text, if any, of the action.
`java.lang.String` `getToolTipText()` This returns the tool tip text, if any, of the action.

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand
`addOwners, getAffectedObjects, getOwners, getResult, wrapValues`

Methods inherited from class org.eclipse.emf.common.command.CommandWrapper
`canUndo, createCommand, dispose, execute, getCommand, getLabel, prepare, redo, toString, undo`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.command.CommandActionDelegate
`canExecute`

Constructor Detail

### ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate

    public ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate(CommandActionDelegate command)

  Returns a new `ResultAndAffectedObjectsWrappingCommandActionDelegate` for the given command.

  Throws:
    `java.lang.ClassCastException` - If the specified command does not implement `Command`.

### ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate

    public ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate(CommandActionDelegate command,
                                                                                     java.util.Collection<? extends IWrapperItemProvider> additionalWrappers)

  Returns a new `ResultAndAffectedObjectsWrappingCommandActionDelegate` for the given command and list of additional wrappers.

  Throws:
    `java.lang.ClassCastException` - If the specified command does not implement `Command`.

Method Detail

### getImage

    public java.lang.Object getImage()

  Description copied from interface: `CommandActionDelegate`
  This returns the decoration, if any, of the action.

  Specified by:
    `getImage` in interface `CommandActionDelegate`

### getText

    public java.lang.String getText()

  Description copied from interface: `CommandActionDelegate`
  This returns the menu text, if any, of the action.

  Specified by:
    `getText` in interface `CommandActionDelegate`

### getDescription

    public java.lang.String getDescription()

  Description copied from class: `CommandWrapper`
  Delegates to the getDescription method of the command.

  Specified by:
    `getDescription` in interface `Command`
  Specified by:
    `getDescription` in interface `CommandActionDelegate`
  Overrides:
    `getDescription` in class `CommandWrapper`
  Returns:
    the description.

### getToolTipText

    public java.lang.String getToolTipText()

  Description copied from interface: `CommandActionDelegate`
  This returns the tool tip text, if any, of the action.

  Specified by:
    `getToolTipText` in interface `CommandActionDelegate`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.